Subject: [VRRP] Vrrp Implementation issue over LinuxIp

From: "venkateshs" <[email-masked]>
Date: Wed, 19 Oct 2005 15:50:20 +0530

Hi,

   We are planning to run VRRP over a Logical Interface created in Linux
IP.(similar to eth0)

   How we can prevent that Linux Interface from sending arp reply when it is
in Backup State?

  Also,How can we associate various virtual MacAddresses to that Linux
Interface?

  Please share your valuable suggestions.

Thanks in advance,
Venkatesan S.

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp

---

From: William Stanislaus <[email-masked]>
Date: Wed, 19 Oct 2005 11:31:31 +0100

Hi Venkatesh,
When you are requesting arp for a physical interface of any vrrp enabled
interface, we cannot stop sending the arp response, but when you send an arp
request for the virtual ip address associated to the vrrp, only the master
sends the arp response.

Can you be more specific what you mean by "various" virtual mac address,
Since for any vrrp virtual ip address, we have unique virtual mac address
within that network.

-William.

-- 
Best Regards,
William Stanislaus | Researcher
Electronics Research Group | University of Aberdeen
email: [email-masked] | Mobile +44 7821870521
Office Phone : +44 1224 272813
www.erg.abdn.ac.uk

---

From: "venkateshs" <[email-masked]>
Date: Wed, 19 Oct 2005 16:29:39 +0530

I understand only master  will send the ARP Response?How can I distinguish
linux device as Master/Slave?

As in the VRRP Mib definitions, We can have multiple VRID for a single
Interface.
If I am having Multiple VRID's over a single Interface like,

  Interface
    |
    |
   VRID1<--------->VRID1
   VRID2<--------->VRID2
   VRID3<--------->VRID3

Assume,if it behaves as a master in case of all VRID's.

We have different Virtual MAC  as 00:00:5e:00:01:01
                                     00:00:5e:00:01:02
                                     00:00:5e:00:01:03 associated with that
Interface.

Can these mac addresses associated with a Single Linux Interface?

Thanks
Venkatesan S.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
William Stanislaus
Sent: Wednesday, 19 October 2005 4:02 PM
To: vrrp IETF
Subject: Re: [VRRP] Vrrp Implementation issue over LinuxIp

Hi Venkatesh,

-William.

---

From: William Stanislaus <[email-masked]>
Date: Wed, 19 Oct 2005 12:20:38 +0100

You can verify who is master from the VRRP advertisement message.

Normally you have multiple VRID for single interface in a clustering mode
for load sharing/balancing. When all routers who were master for their
VRID's fail except one router, then that router can act as Master for all
the VRID's as you have mentioned.

Check RFC 3768 Section 4.2.

-William.

---

From: "venkateshs" <[email-masked]>
Date: Wed, 19 Oct 2005 17:29:12 +0530

I want the Linux kernel to Respond for ARP Requests.

Kernel should send ARP Response with VRRP MAC in case of Master State.
If it is in backup state,ARP Requests should be dropped by kernel itself.

How can I make Linux Interface to understand different VMAC and respond with
them?

Thanks
Venkatesan S.

-----Original Message-----
From: William Stanislaus [mailto:[email-masked]]
Sent: Wednesday, 19 October 2005 4:51 PM
To: [email-masked]; vrrp IETF
Subject: Re: [VRRP] Vrrp Implementation issue over LinuxIp

-William.

---

From: William Stanislaus <[email-masked]>
Date: Wed, 19 Oct 2005 13:06:14 +0100

May I know which VRRP daemon you are using in your linux box.

-William.

---

From: "venkateshs" <[email-masked]>
Date: Wed, 19 Oct 2005 17:49:18 +0530

We are planning for a implementation of VRRP similar to VRRP daemon in Linux
Box.

Thanks
Venkatesan S.

-----Original Message-----
From: William Stanislaus [mailto:[email-masked]]
Sent: Wednesday, 19 October 2005 5:36 PM
To: [email-masked]
Cc: vrrp IETF
Subject: Re: [VRRP] Vrrp Implementation issue over LinuxIp

-William.

On 19/10/05 12:59, "venkateshs" <[email-masked]> wrote:

>>>    How we can prevent that Linux Interface from sending arp reply when
it
>> is